namespace FlexChart_ScrollBar
{
    public partial class Form1 : Form
    {
        //use this to set the AxisY's minimum value instead of AxisY.Min
        //because AxisY.Min is set by adjusting the RangeSlider between the chart and the AxisX
        float AxisYMin = 0;
        public Form1()
        {
            InitializeComponent();

            var rnd = new Random();
            flexChart1.DataSource = Enumerable.Range(1, 100).Select(i=>new Point(i, rnd.Next(10)));
            flexChart1.Binding = "Y";
            flexChart1.BindingX = "X";
            AxisYMin = 0;

            c1RangeSlider1.Minimum = 0.5;
            c1RangeSlider1.Maximum = 100.5;
            c1RangeSlider1.ValueChanged += (s, e) =>
            {
                flexChart1.AxisX.Min = c1RangeSlider1.LowerValue;
                flexChart1.AxisX.Max = c1RangeSlider1.UpperValue;
            };
            c1RangeSlider1.LowerValue = 0.5;
            c1RangeSlider1.UpperValue = 20.5;

            flexChart1.Rendered += FlexChart1_Rendered;
        }

        private void FlexChart1_Rendered(object? sender, C1.Win.Chart.RenderEventArgs e)
        {
            c1RangeSlider1.Location = new Point((int)flexChart1.PlotRect.Left, (int)(flexChart1.PlotRect.Bottom - c1RangeSlider1.Height));
            c1RangeSlider1.Width = (int)(flexChart1.PlotRect.Width) - 2;
            flexChart1.AxisY.Min = AxisYMin + flexChart1.AxisY.ConvertBack(flexChart1.AxisY.Convert(0) + c1RangeSlider1.Height + 2);
        }
    }
}
